{% extends 'dashboard/base.html' %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>
  <script>
    var atc_certifications = JSON.parse('{{user.atc_certifications|tojson}}')
    var certification = Object()
    function sendCertificationToDialog(cert_icao){
      let modal = $("#deleteCertificationModal")
      certification = atc_certifications.find(function(cert){
        return cert.certification == cert_icao
      })

      document.getElementById("deleteCertificationModalLabel").innerHTML = 'Do you want delete ' + certification.certification + ' from user?';
      modal.modal()
    }

    $('#deleteForm').submit(function(eventObj) {
      $(this).append('<input type="hidden" name="certification" value="'+certification.certification+'">')
    })

  </script>
{% endblock %}

{% block page_content %}
  <div class="row">
    <!-- Area Chart -->
    <div class="col-xl-12 col-lg-12">
        <div class="card shadow mb-11">
          <!-- Card Header - Dropdown -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
              <h6 class="m-0 font-weight-bold text-primary">Certifications</h6>
              <div class="dropdown no-arrow">
              <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
              </a>
              <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                  <div class="dropdown-header">Actions</div>
                  <a class="dropdown-item" href="{{ url_for('controllers.add_certification', cid=user.cid) }}">Add</a>
              </div>
              </div>
          </div>
          <div class="card-body">
              <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                  <tr>
                      <th>Position</th>
                      <th>Assigned Date</th>
                      <th>Assigned By</th>
                      <th></th>
                  </tr>
                  </thead>
                  <tfoot>
                  <tr>
                    <th>Position</th>
                    <th>Assigned Date</th>
                    <th>Assigned By</th>
                    <th></th>
                  </tr>
                  </tfoot>
                  <tbody>
                    {% for certification in user.atc_certifications %}
                      <tr>
                        <td>{{ certification.certification }}</td>
                        <td>{{ certification.assigned_date.strftime('%Y-%m-%d %H:%M:%S') }}</td>
                        <td>{{ certification.assigned_for }} - {{ certification.assigned_for }}</td>
                        <td>
                          <button
                            title="Delete Certification"
                            class="open-deleteCertificationModal"
                            style="background-color: transparent; border: none;"
                            onclick="sendCertificationToDialog('{{certification.certification}}')">
                            <img width="24px" src="{{ url_for('static', filename='img/delete.png') }}">
                          </button>
                        </td>
                      </tr>
                    {% endfor %}
                  </tbody>
              </table>
              </div>
          </div>
        </div>
    </div>
  </div>
  <form id="deleteForm" action="./certifications/delete" method="POST">
    <div class="modal fade" id="deleteCertificationModal" tabindex="-1" role="dialog" aria-labelledby="deleteCertificationModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteCertificationModalLabel">Do you want delete this certification?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <input  class="btn btn-primary" style="color: #f8f9fc;" type="submit" value="Delete"></input>
          </div>
        </div>
      </div>
    </div>
  </form>
{% endblock %}
